Bug 249426 - [new port] databases/mongodb-tools: 100.2.0
Summary: [new port] databases/mongodb-tools: 100.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL: https://docs.mongodb.com/database-tools/
Keywords: easy, patch
Depends on:
Blocks:
 
Reported: 2020-09-18 08:54 UTC by Ronald Klop
Modified: 2020-09-26 09:08 UTC (History)
1 user (show)

See Also:


Attachments
svn cp mongodb42-tools mongodb-tools (3.37 KB, patch)
2020-09-18 08:54 UTC, Ronald Klop
ronald-lists: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ronald Klop 2020-09-18 08:54:07 UTC
Created attachment 218041 [details]
svn cp mongodb42-tools mongodb-tools

According to https://docs.mongodb.com/database-tools/#versioning the versioning of mongodb-tools changed. One version of mongodb-tools for all future mongodb versions.

Patch contains:
* svn cp of mongodb44-tools with changes in version
* remove files/* directory; no patches needed to build
* removed mongoreplay: it does not exist (anymore)
* enabled all tools: I don't know the history why these were not enabled
* builds and runs on aarch64
* Add WWW to official documentation
* portlint: ok
Comment 1 Kurt Jaeger freebsd_committer 2020-09-25 15:07:07 UTC
testbuilds@work
Comment 2 Kurt Jaeger freebsd_committer 2020-09-25 17:17:24 UTC
=> Attempting to fetch https://codeload.github.com/mongodb/mongo-tools/tar.gz/100.2.0?dummy=/mongodb-mongo-tools-100.2.0_GH0.tar.gz
fetch: https://codeload.github.com/mongodb/mongo-tools/tar.gz/100.2.0?dummy=/mongodb-mongo-tools-100.2.0_GH0.tar.gz: size unknown
fetch: https://codeload.github.com/mongodb/mongo-tools/tar.gz/100.2.0?dummy=/mongodb-mongo-tools-100.2.0_GH0.tar.gz: size of remote file is not known
mongodb-mongo-tools-100.2.0_GH0.tar.gz                  26 MB 1484 kBps    18s
=> Fetched file size mismatch (expected 27395174, actual 27400186)
Comment 3 Kurt Jaeger freebsd_committer 2020-09-25 19:22:40 UTC
If I run make makesum, it builds fine. Would that be ok with you ?
Comment 4 Ronald Klop 2020-09-25 20:18:06 UTC
(In reply to Kurt Jaeger from comment #3)

Yes that is fine.
Comment 5 Kurt Jaeger freebsd_committer 2020-09-26 09:08:15 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2020-09-26 09:08:29 UTC
A commit references this bug:

Author: pi
Date: Sat Sep 26 09:08:02 UTC 2020
New revision: 550139
URL: https://svnweb.freebsd.org/changeset/ports/550139

Log:
  New port: databases/mongodb-tools

  According to https://docs.mongodb.com/database-tools/#versioning
  the versioning of mongodb-tools changed. One version of mongodb-tools
  for all future mongodb versions.

  - removed mongoreplay: it does not exist (anymore)
  - enabled all tools: I don't know the history why these were not enabled
  - builds and runs on aarch64
  - Add WWW to official documentation

  --------
  Useful utilities for managing a MongoDB instance written in Go.

  - bsondump - display BSON files in a human-readable format
  - mongoimport - Convert data from JSON, TSV or CSV and insert them
    into a collection
  - mongoexport - Write an existing collection to CSV or JSON format
  - mongodump/mongorestore - Dump MongoDB backups to disk in .BSON
    format, or restore them to a live database
  - mongostat - Monitor live MongoDB servers, replica sets, or sharded
    clusters
  - mongofiles - Read, write, delete, or update files in GridFS
  - mongotop - Monitor read/write activity on a mongo server

  WWW: https://github.com/mongodb/mongo-tools
  WWW: https://docs.mongodb.com/database-tools/

  PR:		249426
  Submitted by:	Ronald Klop <ronald-lists@klop.ws>

Changes:
  head/databases/Makefile
  head/databases/mongodb-tools/
  head/databases/mongodb-tools/Makefile
  head/databases/mongodb-tools/distinfo
  head/databases/mongodb-tools/files/
  head/databases/mongodb-tools/pkg-descr
  head/databases/mongodb-tools/pkg-plist